Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1541953 - Enabling Python Generators
Enabling Python Generators
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
ChangeAcceptedF28,SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-05 04:53 EST by Jan Kurik
Modified: 2018-05-02 08:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-02 08:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2018-02-05 04:53:58 EST
This is a tracking bug for Change: Enabling Python Generators
For more details, see: https://fedoraproject.org/wiki/Changes/EnablingPythonGenerators

This change enables the ability to choose to use the Python module dependency generator for packages that provide Python Egg/Wheel metadata.
Comment 1 Igor Gnatenko 2018-02-05 05:30:25 EST
Already implemented in rawhide.
Comment 2 Zbigniew Jędrzejewski-Szmek 2018-02-07 10:20:38 EST
FTR: python-rpm-macros change is https://src.fedoraproject.org/rpms/python-rpm-macros/c/ec476c84cc342ef1a1b6bb5a87134a3f50fb2930?branch=master, available in python-rpm-macros-3-25.fc28.
Comment 3 Fedora End Of Life 2018-02-20 10:33:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 4 Jan Kurik 2018-03-06 03:57:43 EST
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Note You need to log in before you can comment on or make changes to this bug.